UberspectImpl.VelMethodImpl (Velocity 1.4 API)
Keywords: org.apache.velocity.util.introspection.UberspectImpl.VelMethodImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Class UberspectImpl.VelMethodImpl

    java.lang.Object
      org.apache.velocity.util.introspection.UberspectImpl.VelMethodImpl

All Implemented Interfaces:
  VelMethod

Enclosing class:
  UberspectImpl

public class UberspectImpl.VelMethodImpl
extends java.lang.Object
implements VelMethod

Implementation of VelMethod

Field Summary
`(package private) java.lang.reflect.Method` | `method`

Constructor Summary
`private` | `UberspectImpl.VelMethodImpl()`
`` | `UberspectImpl.VelMethodImpl(java.lang.reflect.Method m)`

Method Summary
`java.lang.String` | `getMethodName()` returns the method name used
`java.lang.Class` | `getReturnType()` returns the return type of the method invoked
`java.lang.Object` | `invoke(java.lang.Object o, java.lang.Object[] params)` invocation method - called when the method invocationshould be preformed and a value returned
`boolean` | `isCacheable()` specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### method

    java.lang.reflect.Method method

Constructor Detail

### UberspectImpl.VelMethodImpl

    public UberspectImpl.VelMethodImpl(java.lang.reflect.Method m)

### UberspectImpl.VelMethodImpl

    private UberspectImpl.VelMethodImpl()

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object o,
                                   java.lang.Object[] params)
                            throws java.lang.Exception

  Description copied from interface: `VelMethod`
  invocation method - called when the method invocationshould be preformed and a value returned

  Specified by:
    `invoke` in interface `VelMethod`
  Throws:
    `java.lang.Exception`

### isCacheable

    public boolean isCacheable()

  Description copied from interface: `VelMethod`
  specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

  Specified by:
    `isCacheable` in interface `VelMethod`
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public java.lang.String getMethodName()

  Description copied from interface: `VelMethod`
  returns the method name used

  Specified by:
    `getMethodName` in interface `VelMethod`

### getReturnType

    public java.lang.Class getReturnType()

  Description copied from interface: `VelMethod`
  returns the return type of the method invoked

  Specified by:
    `getReturnType` in interface `VelMethod`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.